package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.ReReq;

/**
 * 投诉Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ReReqMapper 
{
    /**
     * 查询投诉
     * 
     * @param reqId 投诉主键
     * @return 投诉
     */
    public ReReq selectReReqByReqId(Long reqId);

    /**
     * 查询投诉列表
     * 
     * @param reReq 投诉
     * @return 投诉集合
     */
    public List<ReReq> selectReReqList(ReReq reReq);

    /**
     * 新增投诉
     * 
     * @param reReq 投诉
     * @return 结果
     */
    public int insertReReq(ReReq reReq);

    /**
     * 修改投诉
     * 
     * @param reReq 投诉
     * @return 结果
     */
    public int updateReReq(ReReq reReq);

    /**
     * 删除投诉
     * 
     * @param reqId 投诉主键
     * @return 结果
     */
    public int deleteReReqByReqId(Long reqId);

    /**
     * 批量删除投诉
     * 
     * @param reqIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReReqByReqIds(String[] reqIds);
}
